Package com.sas.lsaf.security.audit

## Class AuditConstants

- java.lang.Object
- - com.sas.lsaf.security.audit.AuditConstants

-     public abstract class AuditConstants
      extends java.lang.Object

  The abstract class that contains string constants that represent the action value in an `AuditEntry`.
  Since:
    1.5

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ACTION_ACL_CREATED` |
    `static java.lang.String` | `ACTION_ACL_OWNER_UPDATED` |
    `static java.lang.String` | `ACTION_ACL_UPDATED` |
    `static java.lang.String` | `ACTION_ACTIVATED` |
    `static java.lang.String` | `ACTION_ADDED` |
    `static java.lang.String` | `ACTION_ADMINISTRATIVE_MODE_ADDED` |
    `static java.lang.String` | `ACTION_ADMINISTRATIVE_MODE_ENTERED` |
    `static java.lang.String` | `ACTION_ADMINISTRATIVE_MODE_EXITED` |
    `static java.lang.String` | `ACTION_ADMINISTRATIVE_MODE_REMOVED` |
    `static java.lang.String` | `ACTION_ANALYSIS_ADDED` |
    `static java.lang.String` | `ACTION_ANALYSIS_REMOVED` |
    `static java.lang.String` | `ACTION_ASSOCIATED` |
    `static java.lang.String` | `ACTION_ATTACHMENT_ADDED` |
    `static java.lang.String` | `ACTION_ATTACHMENT_REMOVED` |
    `static java.lang.String` | `ACTION_CHECKEDIN` |
    `static java.lang.String` | `ACTION_CHECKEDOUT` |
    `static java.lang.String` | `ACTION_COMPLETED` |
    `static java.lang.String` | `ACTION_CREATED` |
    `static java.lang.String` | `ACTION_DEFAULT_ACL_CREATED` |
    `static java.lang.String` | `ACTION_DEFAULT_ACL_OWNER_UPDATED` |
    `static java.lang.String` | `ACTION_DEFAULT_ACL_UPDATED` |
    `static java.lang.String` | `ACTION_DELETED` |
    `static java.lang.String` | `ACTION_DEPLOYED` |
    `static java.lang.String` | `ACTION_DISABLED_VERSIONING` |
    `static java.lang.String` | `ACTION_DISASSOCIATED` |
    `static java.lang.String` | `ACTION_DOWNLOADED` |
    `static java.lang.String` | `ACTION_ENABLED_VERSIONING` |
    `static java.lang.String` | `ACTION_EXTENDED_ATTRIBUTE_CREATED` |
    `static java.lang.String` | `ACTION_EXTENDED_ATTRIBUTE_DELETED` |
    `static java.lang.String` | `ACTION_EXTENDED_ATTRIBUTE_UPDATED` |
    `static java.lang.String` | `ACTION_FILE_ADDED` |
    `static java.lang.String` | `ACTION_FILE_REMOVED` |
    `static java.lang.String` | `ACTION_FOLDER_ADDED` |
    `static java.lang.String` | `ACTION_FOLDER_REMOVED` |
    `static java.lang.String` | `ACTION_GROUP_ADDED` |
    `static java.lang.String` | `ACTION_GROUP_REMOVED` |
    `static java.lang.String` | `ACTION_LEAD_CHANGED` |
    `static java.lang.String` | `ACTION_LOCKED` |
    `static java.lang.String` | `ACTION_MANIFEST_CREATED` |
    `static java.lang.String` | `ACTION_MEMBER_ADDED` |
    `static java.lang.String` | `ACTION_MEMBER_REMOVED` |
    `static java.lang.String` | `ACTION_MIGRATED` |
    `static java.lang.String` | `ACTION_MOVED` |
    `static java.lang.String` | `ACTION_PAUSED` |
    `static java.lang.String` | `ACTION_PERMANENTLY_DELETED` |
    `static java.lang.String` | `ACTION_PRIVILEGE_ADDED` |
    `static java.lang.String` | `ACTION_PRIVILEGE_REMOVED` |
    `static java.lang.String` | `ACTION_PROCESS_FLOW_ADDED` |
    `static java.lang.String` | `ACTION_PROCESS_FLOW_REMOVED` |
    `static java.lang.String` | `ACTION_PROJECT_ADDED` |
    `static java.lang.String` | `ACTION_PROJECT_REMOVED` |
    `static java.lang.String` | `ACTION_RAN` |
    `static java.lang.String` | `ACTION_REASSIGNED` |
    `static java.lang.String` | `ACTION_REMOVED` |
    `static java.lang.String` | `ACTION_RENAMED` |
    `static java.lang.String` | `ACTION_RESTORED` |
    `static java.lang.String` | `ACTION_RESUMED` |
    `static java.lang.String` | `ACTION_REVERTED` |
    `static java.lang.String` | `ACTION_ROLE_ADDED` |
    `static java.lang.String` | `ACTION_ROLE_REMOVED` |
    `static java.lang.String` | `ACTION_SCHEDULED_OCCURRENCE_REMOVED` |
    `static java.lang.String` | `ACTION_SESSION_LOGOFF_SUCCESSFUL` |
    `static java.lang.String` | `ACTION_SESSION_LOGON_FAILED` |
    `static java.lang.String` | `ACTION_SESSION_LOGON_SUCCESSFUL` |
    `static java.lang.String` | `ACTION_SESSION_TIMEOUT` |
    `static java.lang.String` | `ACTION_SIGNED` |
    `static java.lang.String` | `ACTION_STARTED` |
    `static java.lang.String` | `ACTION_STATE_CHANGED` |
    `static java.lang.String` | `ACTION_STUDY_ATTRIBUTES_UPDATED` |
    `static java.lang.String` | `ACTION_STUDY_CLINICAL_ANALYSIS_RESULTS_METADATA_UPDATED` |
    `static java.lang.String` | `ACTION_STUDY_CLINICAL_DICTIONARY_ADDED` |
    `static java.lang.String` | `ACTION_STUDY_CLINICAL_DICTIONARY_REMOVED` |
    `static java.lang.String` | `ACTION_STUDY_CLINICAL_EXTERNAL_DICTIONARY_ADDED` |
    `static java.lang.String` | `ACTION_STUDY_CLINICAL_EXTERNAL_DICTIONARY_REMOVED` |
    `static java.lang.String` | `ACTION_STUDY_CLINICAL_STANDARD_ADDED` |
    `static java.lang.String` | `ACTION_STUDY_CLINICAL_STANDARD_REMOVED` |
    `static java.lang.String` | `ACTION_STUDY_CLINICAL_VALUE_LEVEL_METADATA_CHANGED` |
    `static java.lang.String` | `ACTION_STUDY_CODELIST_ADDED` |
    `static java.lang.String` | `ACTION_STUDY_CODELIST_CHANGED` |
    `static java.lang.String` | `ACTION_STUDY_CODELIST_REMOVED` |
    `static java.lang.String` | `ACTION_STUDY_COLUMN_ADDED` |
    `static java.lang.String` | `ACTION_STUDY_COLUMN_CHANGED` |
    `static java.lang.String` | `ACTION_STUDY_COLUMN_REMOVED` |
    `static java.lang.String` | `ACTION_STUDY_COMPONENT_LOCKED` |
    `static java.lang.String` | `ACTION_STUDY_COMPONENT_UNLOCKED` |
    `static java.lang.String` | `ACTION_STUDY_DATASET_CHANGED` |
    `static java.lang.String` | `ACTION_STUDY_DISPLAY_ADDED` |
    `static java.lang.String` | `ACTION_STUDY_DISPLAY_CHANGED` |
    `static java.lang.String` | `ACTION_STUDY_DISPLAY_REMOVED` |
    `static java.lang.String` | `ACTION_STUDY_DISPLAY_REORDRED` |
    `static java.lang.String` | `ACTION_STUDY_RESULT_ADDED` |
    `static java.lang.String` | `ACTION_STUDY_RESULT_CHANGED` |
    `static java.lang.String` | `ACTION_STUDY_RESULT_REMOVED` |
    `static java.lang.String` | `ACTION_STUDY_RESULT_REORDERED` |
    `static java.lang.String` | `ACTION_STUDY_SUPPORTING_DOCUMENTS_CHANGED` |
    `static java.lang.String` | `ACTION_STUDY_TABLE_ADDED` |
    `static java.lang.String` | `ACTION_STUDY_TABLE_CHANGED` |
    `static java.lang.String` | `ACTION_STUDY_TABLE_REMOVED` |
    `static java.lang.String` | `ACTION_STUDY_TABLE_STANDARD_ASSOCIATED` |
    `static java.lang.String` | `ACTION_STUDY_TABLE_STANDARD_DISASSOCIATED` |
    `static java.lang.String` | `ACTION_STUDY_TERM_CHANGED` |
    `static java.lang.String` | `ACTION_SUSPENDED` |
    `static java.lang.String` | `ACTION_UNDO_CHECKEDOUT` |
    `static java.lang.String` | `ACTION_UNLOCKED` |
    `static java.lang.String` | `ACTION_UPDATED` |
    `static java.lang.String` | `ACTION_UPLOADED` |
    `static java.lang.String` | `ACTION_USER_ACCOUNT_ACTIVATED` |
    `static java.lang.String` | `ACTION_USER_ACCOUNT_CHANGED` |
    `static java.lang.String` | `ACTION_USER_ACCOUNT_DEACTIVATED` |
    `static java.lang.String` | `ACTION_USER_ACCOUNT_LOCKED` |
    `static java.lang.String` | `ACTION_USER_ACCOUNT_PASSWORD_UPDATE` |
    `static java.lang.String` | `ACTION_USER_ACCOUNT_UNLOCKED` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuditConstants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACTION_ACL_CREATED

          public static final java.lang.String ACTION_ACL_CREATED

      See Also:
        Constant Field Values

    - #### ACTION_ACL_UPDATED

          public static final java.lang.String ACTION_ACL_UPDATED

      See Also:
        Constant Field Values

    - #### ACTION_ACL_OWNER_UPDATED

          public static final java.lang.String ACTION_ACL_OWNER_UPDATED

      See Also:
        Constant Field Values

    - #### ACTION_DEFAULT_ACL_CREATED

          public static final java.lang.String ACTION_DEFAULT_ACL_CREATED

      See Also:
        Constant Field Values

    - #### ACTION_DEFAULT_ACL_UPDATED

          public static final java.lang.String ACTION_DEFAULT_ACL_UPDATED

      See Also:
        Constant Field Values

    - #### ACTION_DEFAULT_ACL_OWNER_UPDATED

          public static final java.lang.String ACTION_DEFAULT_ACL_OWNER_UPDATED

      See Also:
        Constant Field Values

    - #### ACTION_ADMINISTRATIVE_MODE_ADDED

          public static final java.lang.String ACTION_ADMINISTRATIVE_MODE_ADDED

      See Also:
        Constant Field Values

    - #### ACTION_ADMINISTRATIVE_MODE_REMOVED

          public static final java.lang.String ACTION_ADMINISTRATIVE_MODE_REMOVED

      See Also:
        Constant Field Values

    - #### ACTION_ADMINISTRATIVE_MODE_ENTERED

          public static final java.lang.String ACTION_ADMINISTRATIVE_MODE_ENTERED

      See Also:
        Constant Field Values

    - #### ACTION_ADMINISTRATIVE_MODE_EXITED

          public static final java.lang.String ACTION_ADMINISTRATIVE_MODE_EXITED

      See Also:
        Constant Field Values

    - #### ACTION_ATTACHMENT_ADDED

          public static final java.lang.String ACTION_ATTACHMENT_ADDED

      See Also:
        Constant Field Values

    - #### ACTION_ATTACHMENT_REMOVED

          public static final java.lang.String ACTION_ATTACHMENT_REMOVED

      See Also:
        Constant Field Values

    - #### ACTION_CREATED

          public static final java.lang.String ACTION_CREATED

      See Also:
        Constant Field Values

    - #### ACTION_UPDATED

          public static final java.lang.String ACTION_UPDATED

      See Also:
        Constant Field Values

    - #### ACTION_DELETED

          public static final java.lang.String ACTION_DELETED

      See Also:
        Constant Field Values

    - #### ACTION_RENAMED

          public static final java.lang.String ACTION_RENAMED

      See Also:
        Constant Field Values

    - #### ACTION_MOVED

          public static final java.lang.String ACTION_MOVED

      See Also:
        Constant Field Values

    - #### ACTION_RAN

          public static final java.lang.String ACTION_RAN

      See Also:
        Constant Field Values

    - #### ACTION_MIGRATED

          public static final java.lang.String ACTION_MIGRATED

      See Also:
        Constant Field Values

    - #### ACTION_ASSOCIATED

          public static final java.lang.String ACTION_ASSOCIATED

      See Also:
        Constant Field Values

    - #### ACTION_DISASSOCIATED

          public static final java.lang.String ACTION_DISASSOCIATED

      See Also:
        Constant Field Values

    - #### ACTION_PERMANENTLY_DELETED

          public static final java.lang.String ACTION_PERMANENTLY_DELETED

      See Also:
        Constant Field Values

    - #### ACTION_REVERTED

          public static final java.lang.String ACTION_REVERTED

      See Also:
        Constant Field Values

    - #### ACTION_CHECKEDIN

          public static final java.lang.String ACTION_CHECKEDIN

      See Also:
        Constant Field Values

    - #### ACTION_UNDO_CHECKEDOUT

          public static final java.lang.String ACTION_UNDO_CHECKEDOUT

      See Also:
        Constant Field Values

    - #### ACTION_CHECKEDOUT

          public static final java.lang.String ACTION_CHECKEDOUT

      See Also:
        Constant Field Values

    - #### ACTION_STATE_CHANGED

          public static final java.lang.String ACTION_STATE_CHANGED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_CLINICAL_STANDARD_ADDED

          public static final java.lang.String ACTION_STUDY_CLINICAL_STANDARD_ADDED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_CLINICAL_STANDARD_REMOVED

          public static final java.lang.String ACTION_STUDY_CLINICAL_STANDARD_REMOVED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_CLINICAL_DICTIONARY_ADDED

          public static final java.lang.String ACTION_STUDY_CLINICAL_DICTIONARY_ADDED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_CLINICAL_DICTIONARY_REMOVED

          public static final java.lang.String ACTION_STUDY_CLINICAL_DICTIONARY_REMOVED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_CLINICAL_EXTERNAL_DICTIONARY_ADDED

          public static final java.lang.String ACTION_STUDY_CLINICAL_EXTERNAL_DICTIONARY_ADDED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_CLINICAL_EXTERNAL_DICTIONARY_REMOVED

          public static final java.lang.String ACTION_STUDY_CLINICAL_EXTERNAL_DICTIONARY_REMOVED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_CLINICAL_VALUE_LEVEL_METADATA_CHANGED

          public static final java.lang.String ACTION_STUDY_CLINICAL_VALUE_LEVEL_METADATA_CHANGED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_CLINICAL_ANALYSIS_RESULTS_METADATA_UPDATED

          public static final java.lang.String ACTION_STUDY_CLINICAL_ANALYSIS_RESULTS_METADATA_UPDATED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_SUPPORTING_DOCUMENTS_CHANGED

          public static final java.lang.String ACTION_STUDY_SUPPORTING_DOCUMENTS_CHANGED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_TABLE_ADDED

          public static final java.lang.String ACTION_STUDY_TABLE_ADDED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_TABLE_REMOVED

          public static final java.lang.String ACTION_STUDY_TABLE_REMOVED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_TABLE_CHANGED

          public static final java.lang.String ACTION_STUDY_TABLE_CHANGED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_COLUMN_ADDED

          public static final java.lang.String ACTION_STUDY_COLUMN_ADDED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_COLUMN_REMOVED

          public static final java.lang.String ACTION_STUDY_COLUMN_REMOVED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_COLUMN_CHANGED

          public static final java.lang.String ACTION_STUDY_COLUMN_CHANGED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_CODELIST_ADDED

          public static final java.lang.String ACTION_STUDY_CODELIST_ADDED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_CODELIST_REMOVED

          public static final java.lang.String ACTION_STUDY_CODELIST_REMOVED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_CODELIST_CHANGED

          public static final java.lang.String ACTION_STUDY_CODELIST_CHANGED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_TERM_CHANGED

          public static final java.lang.String ACTION_STUDY_TERM_CHANGED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_DISPLAY_REORDRED

          public static final java.lang.String ACTION_STUDY_DISPLAY_REORDRED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_DISPLAY_ADDED

          public static final java.lang.String ACTION_STUDY_DISPLAY_ADDED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_DISPLAY_CHANGED

          public static final java.lang.String ACTION_STUDY_DISPLAY_CHANGED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_DISPLAY_REMOVED

          public static final java.lang.String ACTION_STUDY_DISPLAY_REMOVED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_RESULT_ADDED

          public static final java.lang.String ACTION_STUDY_RESULT_ADDED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_RESULT_CHANGED

          public static final java.lang.String ACTION_STUDY_RESULT_CHANGED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_RESULT_REMOVED

          public static final java.lang.String ACTION_STUDY_RESULT_REMOVED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_RESULT_REORDERED

          public static final java.lang.String ACTION_STUDY_RESULT_REORDERED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_DATASET_CHANGED

          public static final java.lang.String ACTION_STUDY_DATASET_CHANGED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_COMPONENT_LOCKED

          public static final java.lang.String ACTION_STUDY_COMPONENT_LOCKED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_COMPONENT_UNLOCKED

          public static final java.lang.String ACTION_STUDY_COMPONENT_UNLOCKED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_ATTRIBUTES_UPDATED

          public static final java.lang.String ACTION_STUDY_ATTRIBUTES_UPDATED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_TABLE_STANDARD_ASSOCIATED

          public static final java.lang.String ACTION_STUDY_TABLE_STANDARD_ASSOCIATED

      See Also:
        Constant Field Values

    - #### ACTION_STUDY_TABLE_STANDARD_DISASSOCIATED

          public static final java.lang.String ACTION_STUDY_TABLE_STANDARD_DISASSOCIATED

      See Also:
        Constant Field Values

    - #### ACTION_GROUP_ADDED

          public static final java.lang.String ACTION_GROUP_ADDED

      See Also:
        Constant Field Values

    - #### ACTION_GROUP_REMOVED

          public static final java.lang.String ACTION_GROUP_REMOVED

      See Also:
        Constant Field Values

    - #### ACTION_MEMBER_ADDED

          public static final java.lang.String ACTION_MEMBER_ADDED

      See Also:
        Constant Field Values

    - #### ACTION_MEMBER_REMOVED

          public static final java.lang.String ACTION_MEMBER_REMOVED

      See Also:
        Constant Field Values

    - #### ACTION_PRIVILEGE_ADDED

          public static final java.lang.String ACTION_PRIVILEGE_ADDED

      See Also:
        Constant Field Values

    - #### ACTION_PRIVILEGE_REMOVED

          public static final java.lang.String ACTION_PRIVILEGE_REMOVED

      See Also:
        Constant Field Values

    - #### ACTION_PROCESS_FLOW_ADDED

          public static final java.lang.String ACTION_PROCESS_FLOW_ADDED

      See Also:
        Constant Field Values

    - #### ACTION_PROCESS_FLOW_REMOVED

          public static final java.lang.String ACTION_PROCESS_FLOW_REMOVED

      See Also:
        Constant Field Values

    - #### ACTION_MANIFEST_CREATED

          public static final java.lang.String ACTION_MANIFEST_CREATED

      See Also:
        Constant Field Values

    - #### ACTION_ADDED

          public static final java.lang.String ACTION_ADDED

      See Also:
        Constant Field Values

    - #### ACTION_REMOVED

          public static final java.lang.String ACTION_REMOVED

      See Also:
        Constant Field Values

    - #### ACTION_FOLDER_ADDED

          public static final java.lang.String ACTION_FOLDER_ADDED

      See Also:
        Constant Field Values

    - #### ACTION_FOLDER_REMOVED

          public static final java.lang.String ACTION_FOLDER_REMOVED

      See Also:
        Constant Field Values

    - #### ACTION_FILE_ADDED

          public static final java.lang.String ACTION_FILE_ADDED

      See Also:
        Constant Field Values

    - #### ACTION_FILE_REMOVED

          public static final java.lang.String ACTION_FILE_REMOVED

      See Also:
        Constant Field Values

    - #### ACTION_ENABLED_VERSIONING

          public static final java.lang.String ACTION_ENABLED_VERSIONING

      See Also:
        Constant Field Values

    - #### ACTION_DISABLED_VERSIONING

          public static final java.lang.String ACTION_DISABLED_VERSIONING

      See Also:
        Constant Field Values

    - #### ACTION_RESTORED

          public static final java.lang.String ACTION_RESTORED

      See Also:
        Constant Field Values

    - #### ACTION_UPLOADED

          public static final java.lang.String ACTION_UPLOADED

      See Also:
        Constant Field Values

    - #### ACTION_DOWNLOADED

          public static final java.lang.String ACTION_DOWNLOADED

      See Also:
        Constant Field Values

    - #### ACTION_LOCKED

          public static final java.lang.String ACTION_LOCKED

      See Also:
        Constant Field Values

    - #### ACTION_UNLOCKED

          public static final java.lang.String ACTION_UNLOCKED

      See Also:
        Constant Field Values

    - #### ACTION_SIGNED

          public static final java.lang.String ACTION_SIGNED

      See Also:
        Constant Field Values

    - #### ACTION_PROJECT_ADDED

          public static final java.lang.String ACTION_PROJECT_ADDED

      See Also:
        Constant Field Values

    - #### ACTION_PROJECT_REMOVED

          public static final java.lang.String ACTION_PROJECT_REMOVED

      See Also:
        Constant Field Values

    - #### ACTION_ANALYSIS_ADDED

          public static final java.lang.String ACTION_ANALYSIS_ADDED

      See Also:
        Constant Field Values

    - #### ACTION_ANALYSIS_REMOVED

          public static final java.lang.String ACTION_ANALYSIS_REMOVED

      See Also:
        Constant Field Values

    - #### ACTION_LEAD_CHANGED

          public static final java.lang.String ACTION_LEAD_CHANGED

      See Also:
        Constant Field Values

    - #### ACTION_ROLE_ADDED

          public static final java.lang.String ACTION_ROLE_ADDED

      See Also:
        Constant Field Values

    - #### ACTION_ROLE_REMOVED

          public static final java.lang.String ACTION_ROLE_REMOVED

      See Also:
        Constant Field Values

    - #### ACTION_PAUSED

          public static final java.lang.String ACTION_PAUSED

      See Also:
        Constant Field Values

    - #### ACTION_RESUMED

          public static final java.lang.String ACTION_RESUMED

      See Also:
        Constant Field Values

    - #### ACTION_SCHEDULED_OCCURRENCE_REMOVED

          public static final java.lang.String ACTION_SCHEDULED_OCCURRENCE_REMOVED

      See Also:
        Constant Field Values

    - #### ACTION_EXTENDED_ATTRIBUTE_CREATED

          public static final java.lang.String ACTION_EXTENDED_ATTRIBUTE_CREATED

      See Also:
        Constant Field Values

    - #### ACTION_EXTENDED_ATTRIBUTE_UPDATED

          public static final java.lang.String ACTION_EXTENDED_ATTRIBUTE_UPDATED

      See Also:
        Constant Field Values

    - #### ACTION_EXTENDED_ATTRIBUTE_DELETED

          public static final java.lang.String ACTION_EXTENDED_ATTRIBUTE_DELETED

      See Also:
        Constant Field Values

    - #### ACTION_USER_ACCOUNT_CHANGED

          public static final java.lang.String ACTION_USER_ACCOUNT_CHANGED

      See Also:
        Constant Field Values

    - #### ACTION_USER_ACCOUNT_ACTIVATED

          public static final java.lang.String ACTION_USER_ACCOUNT_ACTIVATED

      See Also:
        Constant Field Values

    - #### ACTION_USER_ACCOUNT_DEACTIVATED

          public static final java.lang.String ACTION_USER_ACCOUNT_DEACTIVATED

      See Also:
        Constant Field Values

    - #### ACTION_USER_ACCOUNT_PASSWORD_UPDATE

          public static final java.lang.String ACTION_USER_ACCOUNT_PASSWORD_UPDATE

      See Also:
        Constant Field Values

    - #### ACTION_USER_ACCOUNT_LOCKED

          public static final java.lang.String ACTION_USER_ACCOUNT_LOCKED

      See Also:
        Constant Field Values

    - #### ACTION_USER_ACCOUNT_UNLOCKED

          public static final java.lang.String ACTION_USER_ACCOUNT_UNLOCKED

      See Also:
        Constant Field Values

    - #### ACTION_SESSION_LOGON_FAILED

          public static final java.lang.String ACTION_SESSION_LOGON_FAILED

      See Also:
        Constant Field Values

    - #### ACTION_SESSION_LOGON_SUCCESSFUL

          public static final java.lang.String ACTION_SESSION_LOGON_SUCCESSFUL

      See Also:
        Constant Field Values

    - #### ACTION_SESSION_LOGOFF_SUCCESSFUL

          public static final java.lang.String ACTION_SESSION_LOGOFF_SUCCESSFUL

      See Also:
        Constant Field Values

    - #### ACTION_SESSION_TIMEOUT

          public static final java.lang.String ACTION_SESSION_TIMEOUT

      See Also:
        Constant Field Values

    - #### ACTION_STARTED

          public static final java.lang.String ACTION_STARTED

      See Also:
        Constant Field Values

    - #### ACTION_COMPLETED

          public static final java.lang.String ACTION_COMPLETED

      See Also:
        Constant Field Values

    - #### ACTION_REASSIGNED

          public static final java.lang.String ACTION_REASSIGNED

      See Also:
        Constant Field Values

    - #### ACTION_DEPLOYED

          public static final java.lang.String ACTION_DEPLOYED

      See Also:
        Constant Field Values

    - #### ACTION_ACTIVATED

          public static final java.lang.String ACTION_ACTIVATED

      See Also:
        Constant Field Values

    - #### ACTION_SUSPENDED

          public static final java.lang.String ACTION_SUSPENDED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AuditConstants

          public AuditConstants()